package common

type TetraFlexCallDisconnectCauses byte

const (
	DisconnectReason_NotDisconnected                    TetraFlexCallDisconnectCauses = 255
	DisconnectReason_Unknown                            TetraFlexCallDisconnectCauses = 0
	DisconnectReason_UserRequested                      TetraFlexCallDisconnectCauses = 1
	DisconnectReason_CalledPartyBusy                    TetraFlexCallDisconnectCauses = 2
	DisconnectReason_CalledPartyNotReachable            TetraFlexCallDisconnectCauses = 3
	DisconnectReason_CalledPartyNotSupportEncryption    TetraFlexCallDisconnectCauses = 4
	DisconnectReason_Congestion                         TetraFlexCallDisconnectCauses = 5
	DisconnectReason_NotAllowedTrafficCase              TetraFlexCallDisconnectCauses = 6
	DisconnectReason_IncompatibleTrafficCase            TetraFlexCallDisconnectCauses = 7
	DisconnectReason_RequestedServiceNotAvailable       TetraFlexCallDisconnectCauses = 8
	DisconnectReason_PreEmptiveUseResource              TetraFlexCallDisconnectCauses = 9
	DisconnectReason_InvalidCallIdentifier              TetraFlexCallDisconnectCauses = 10
	DisconnectReason_CallRejectedByCalled               TetraFlexCallDisconnectCauses = 11
	DisconnectReason_NoIdleCCEntity                     TetraFlexCallDisconnectCauses = 12
	DisconnectReason_ExpiryTimer                        TetraFlexCallDisconnectCauses = 13
	DisconnectReason_SwMIRequestedDisconnection         TetraFlexCallDisconnectCauses = 14
	DisconnectReason_AcknowledgedServiceNotCompleted    TetraFlexCallDisconnectCauses = 15
	DisconnectReason_UnknownTetraIdentity               TetraFlexCallDisconnectCauses = 16
	DisconnectReason_SSSpecificDisconnection            TetraFlexCallDisconnectCauses = 17
	DisconnectReason_UnknownExternalSubscriberIdentity  TetraFlexCallDisconnectCauses = 18
	DisconnectReason_CallRestorationOthersFailed        TetraFlexCallDisconnectCauses = 19
	DisconnectReason_CalledPartyRequiresEncryption      TetraFlexCallDisconnectCauses = 20
	DisconnectReason_ConcurrentSetupNotSupported        TetraFlexCallDisconnectCauses = 21
	DisconnectReason_CalledPartySameDM                  TetraFlexCallDisconnectCauses = 22
	DisconnectReason_NonCallOwnerRequestedDisconnection TetraFlexCallDisconnectCauses = 23
	DisconnectReason_CallCompletedElsewhere             TetraFlexCallDisconnectCauses = 32
	DisconnectReason_NetworkFailure                     TetraFlexCallDisconnectCauses = 100
	DisconnectReason_IgnoreCallSilently                 TetraFlexCallDisconnectCauses = 255
)
